[2LS] ExploitFixer - Advanced server anticrash 0.7.7

Advanced plugin to maintain your server safe from multiple exploits.

  1. ExploitFixer - Update 0.7.7

    LinsaFTW
    + Added SET_CREATIVE_SLOT_WRONG option to the packets check. (Fixes some exploits)

    Reset your config.yml file to have the new features!
    tomikcz987 likes this.
  2. ExploitFixer - Update 0.7.6

    LinsaFTW
    IMPORTANT: Update to this version, it fixes a lot of new exploits!

    +
    Added max_size option to packets check. (Fixes LOTS of exploits!)
    + Added ENTITY_ACTION packet limit. (When a player sprints, sneaks, etc...)
    + Fixed potions not correctly translating to splash in creative.

    You need to reset your config.yml before updating...
  3. ExploitFixer - Update 0.7.5

    LinsaFTW
    + Fixed some new Exploits that crashes servers.
    + Some memory usage improvements.
    + Separated Duplication check parts to Books and Signs Check. (So if you have a korean/chinese/etc server you can disable duplication without letting players crash with books and signs exploits)

    You need to reset your config.yml & messages.yml otherwise the plugin wont work!
  4. ExploitFixer - Update 0.7.4

    LinsaFTW
    + Fixed WINDOW_CLICK_WRONG false positives.

    No configuration changes!
    Mcbot likes this.
  5. ExploitFixer - Update 0.7.3

    LinsaFTW
    + Fixed plugin not punishing correctly.
    + Fixed some errors. (NPEs)

    You need to reset your config.yml and messages.yml otherwise the plugin wont work properly.
    KayrokMagick likes this.
  6. ExploitFixer - Update 0.7.2

    LinsaFTW
    + Added a new Punishment system to all modules.
    + Fixed a bunch of false positives regarding the packets check.
    + Fixed some items not converting properly with items check.
    + Slighty reduced ram and cpu usage.

    You need to reset your config.yml and messages.yml otherwise the plugin wont work.
    ToxicSpin likes this.
  7. [2LS] ExploitFixer - Update 0.7.1

    LinsaFTW
    + Added SET_CREATIVE_SLOT packet to packets check.
    + ItemsFix module added. (Recreates creative items to remove invalid tags, enchants, etc [Fixes hacked items completelly])
    - Removed inventory module.

    You need to reset your config.yml file otherwise the plugin wont work.
  8. [2LS] ExploitFixer - Update 0.7.0

    LinsaFTW
    + Added BLOCK_PLACE_BOOKS packet to packets check.
    + Added BLOCK_PLACE_WRONG packet to packets check.
    + Added WINDOW_CLICK_WRONG packet to packets check.
    - Removed INTERACT (and InteractListener) because it is replaced by BLOCK_PLACE.
    - Removed some configurations as they are part of the packets check now....
  9. [2LS] ExploitFixer - Update 0.6.9

    LinsaFTW
    + Removed AtomicReference and made InteractListener sync to avoid NPEs and CMEs.
    + Cleaned up unused methods and fields.

    No configuration changes.
    D34TH and zachrocks22 like this.
  10. [2LS] ExploitFixer - Update 0.6.8

    LinsaFTW
    + Using AtomicReference to avoid ConcurrentModificationException.
    + The cleared players cache message will only show if cache is really cleared.
    + Inventory, window_click setting disabled by default as it can cause issues. (Activate if it doesnt cause issues for you, it protects various exploits)

    No configuration changes.
    D34TH and zachrocks22 like this.